## org.mortbay.jetty.deployer
Class WebAppDeployer

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.deployer.WebAppDeployer

All Implemented Interfaces:
  LifeCycle

    public class WebAppDeployer

extends AbstractLifeCycle

Web Application Deployer. The class searches a directory for and deploys standard web application. At startup, the directory specified by `setWebAppDir(String)` is searched for subdirectories (excluding hidden and CVS) or files ending with ".zip" or "*.war". For each webapp discovered is passed to a new instance of `WebAppContext` (or a subclass specified by `getContexts()`. `ContextHandlerCollection.getContextClass()` This deployer does not do hot deployment or undeployment. Nor does it support per webapplication configuration. For these features see `ContextDeployer`.

See Also:
  `ContextDeployer}`

Constructor Summary
`WebAppDeployer()`

Method Summary
`void` `doStart()`
`void` `doStop()`
`boolean` `getAllowDuplicates()`
`String[]` `getConfigurationClasses()`
`HandlerContainer` `getContexts()`
`String` `getDefaultsDescriptor()`
`String` `getWebAppDir()`
`boolean` `isExtract()`
`boolean` `isParentLoaderPriority()`
`void` `scan()` Scan for webapplications.
`void` `setAllowDuplicates(boolean allowDuplicates)`
`void` `setConfigurationClasses(String[] configurationClasses)`
`void` `setContexts(HandlerContainer contexts)`
`void` `setDefaultsDescriptor(String defaultsDescriptor)`
`void` `setExtract(boolean extract)`
`void` `setParentLoaderPriority(boolean parentPriorityClassLoading)`
`void` `setWebAppDir(String dir)`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebAppDeployer

    public WebAppDeployer()

Method Detail

### getConfigurationClasses

    public String[] getConfigurationClasses()

### setConfigurationClasses

    public void setConfigurationClasses(String[] configurationClasses)

### getContexts

    public HandlerContainer getContexts()

### setContexts

    public void setContexts(HandlerContainer contexts)

### getDefaultsDescriptor

    public String getDefaultsDescriptor()

### setDefaultsDescriptor

    public void setDefaultsDescriptor(String defaultsDescriptor)

### isExtract

    public boolean isExtract()

### setExtract

    public void setExtract(boolean extract)

### isParentLoaderPriority

    public boolean isParentLoaderPriority()

### setParentLoaderPriority

    public void setParentLoaderPriority(boolean parentPriorityClassLoading)

### getWebAppDir

    public String getWebAppDir()

### setWebAppDir

    public void setWebAppDir(String dir)

### getAllowDuplicates

    public boolean getAllowDuplicates()

### setAllowDuplicates

    public void setAllowDuplicates(boolean allowDuplicates)

  Parameters:
    `allowDuplicates` - If false, do not deploy webapps that have already been deployed or duplicate context path

### doStart

    public void doStart()
                 throws Exception

  Overrides:
    `doStart` in class `AbstractLifeCycle`
  Throws:
    `Exception`

### scan

    public void scan()
              throws Exception

  Scan for webapplications.

  Throws:
    `Exception`

### doStop

    public void doStop()
                throws Exception

  Overrides:
    `doStop` in class `AbstractLifeCycle`
  Throws:
    `Exception`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.